import type { _MTLFunctionDescriptor } from "./MTLFunctionDescriptor.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
export declare class _MTLIntersectionFunctionDescriptor extends _MTLFunctionDescriptor {
    static alloc(): _MTLIntersectionFunctionDescriptor;
    static new(): _MTLIntersectionFunctionDescriptor;
    init(): _MTLIntersectionFunctionDescriptor;
}
export interface _MTLIntersectionFunctionDescriptor extends _NSCopying {
}
